List Fields
/unified/crm/fields
Partial response — use the "get" endpoint for the full object.
Query Parameters
Refer Specifying query parameters in Truto APIs
accountcontactleadnoteopportunityprojecttaskview
17 supported16 required12 notes
accountcontactviewaccountcontactopportunitycontactaccountopportunityThe entity to get the fields for
contactaccountopportunityThe entity to get the fields for
contactaccountleadThe entity to get the fields for
contactaccountopportunityleadThe entity to get the field groups for
contactopportunityThe entity to get the fields for
contactaccountopportunityleadThe entity to get the fields for
accountcontactopportunityleadcontactaccountleadThe entity to get the fields for
contactaccountopportunityThe entity to get the fields for
contactaccountopportunityleadThe entity to get the fields for
contactaccountopportunityThe entity to get the fields for
contactleadaccountopportunityThe entity to get the fields for
leadcontactopportunityaccountcontactleadaccountnoteopportunityThe entity to get the fields for
taskcontactaccountopportunityprojectlead1 supported1 required
name
1 supported
The field's name. This is the name of the property in the entity.
18 supported
Show Truto-specific parameters
The ID of the integrated account to use for the request.
62f44730-dd91-461e-bd6a-aedd9e0ad79dThe format of the response.
unifiedreturns the response with unified mappings applied.rawreturns the unprocessed, raw response from the remote API.normalizedapplies the unified mappings and returns the data in a normalized format.streamreturns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.
Defaults to unified.
unifiedunifiedrawnormalizedstream
By default the result attribute is an array of objects. This parameter allows you to specify a field in each result objects to use as key, which transforms the result array into an object with the array items keyed by the field. This is useful for when you want to use the result as a lookup table.
idIgnores the limit query parameter.
Excludes the remote_data attribute from the response.
Array of fields to exclude from the response.
truto_exclude_fields[]=id&truto_exclude_fields[]=nameQuery parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.
remote_query[foo]=barResponse Body
The cursor to use for the next page of results. Pass this value as next_cursor in the query parameter in the next request to get the next page of results.
List of Fields
The date and time of the field's creation
6 supported
The field's description
8 supported
The entity type the field belongs to
contactaccountopportunity
15 supported
3 supported
2 properties
The field group's unique identifier
The field group's name
The field's unique identifier
18 supported
Whether the field is editable
5 supported
Whether the field is hidden
6 supported
Whether the field is required
9 supported
Whether the field is unique
2 supported
Whether the field is user defined
9 supported
The field's label
18 supported
The field's name. This is the name of the property in the entity.
18 supported
The field's options
15 supported
4 properties
The option's description
Whether the option is hidden
The option's label
The option's value
The entity type this field references to
contactaccountopportunitylead
1 supported
Raw data returned from the remote API call.
The field's type
stringtextrich_textnumberbooleandatedatetimetimeenumarrayfileaddress
18 supported
The date and time of the field's last update
5 supported
The field's urls
8 supported
2 properties
The field's URL type
The field's URL
curl -X GET 'https://api.truto.one/unified/crm/fields?integrated_account_id=<integrated_account_id>' \
-H 'Authorization: Bearer <your_api_token>' \
-H 'Content-Type: application/json'const integratedAccountId = '<integrated_account_id>';
const response = await fetch(`https://api.truto.one/unified/crm/fields?integrated_account_id=${integratedAccountId}`, {
method: 'GET',
headers: {
'Authorization': 'Bearer <your_api_token>',
'Content-Type': 'application/json',
},
});
const data = await response.json();
console.log(data);import requests
url = "https://api.truto.one/unified/crm/fields"
headers = {
"Authorization": "Bearer <your_api_token>",
"Content-Type": "application/json",
}
params = {
"integrated_account_id": "<integrated_account_id>"
}
response = requests.get(url, headers=headers, params=params)
print(response.json())import Truto from '@truto/truto-ts-sdk';
const truto = new Truto({
token: '<your_api_token>',
});
const result = await truto.unifiedApi.list(
'crm',
'fields',
{ integrated_account_id: '<integrated_account_id>' }
);
console.log(result);import asyncio
from truto_python_sdk import TrutoApi
truto_api = TrutoApi(token="<your_api_token>")
async def main():
async for item in truto_api.unified_api.list(
"crm",
"fields",
{"integrated_account_id": "<integrated_account_id>"}
):
print(item)
asyncio.run(main())